Bug 969703 - Review Request: python-openid-cla - CLA extension for python-openid
Review Request: python-openid-cla - CLA extension for python-openid
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ricky Elrod
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-01 19:13 EDT by Patrick Uiterwijk
Modified: 2013-06-23 17:33 EDT (History)
3 users (show)

See Also:
Fixed In Version: python-openid-cla-1.0-1.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-14 23:12:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
relrod: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Patrick Uiterwijk 2013-06-01 19:13:17 EDT
Spec URL: http://puiterwijk.fedorapeople.org//python-openid-cla.spec
SRPM URL: http://puiterwijk.fedorapeople.org//python-openid-cla-1.0-1.fc18.src.rpm

Description:
CLA extension implementation for python-openid
Comment 1 Patrick Uiterwijk 2013-06-01 19:13:23 EDT
This package built on koji:  http://koji.fedoraproject.org/koji/taskinfo?taskID=5450707
Comment 2 Patrick Uiterwijk 2013-06-01 19:33:56 EDT
This review is very much alike #963959 because it's practically the same split as that one (but actually another module).

The actual koji link is: http://koji.fedoraproject.org/koji/taskinfo?taskID=5450711  (the other one was one where I had an error in the spec file).
Comment 3 Ricky Elrod 2013-06-01 20:19:42 EDT
Looks good to me. Consider being a bit more specific in your %files section, but this is a non-blocker.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[-]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package complies to the Packaging Guidelines
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "BSD (3 clause)", "Unknown or generated". 1 files have unknown license.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.

Python:
[x]: Python eggs must not download any dependencies during the build process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python-openid-cla-1.0-1.fc20.noarch.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint python-openid-cla
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
# echo 'rpmlint-done:'



Requires
--------
python-openid-cla (rpmlib, GLIBC filtered):
    python(abi)
    python-openid



Provides
--------
python-openid-cla:
    python-openid-cla



Source checksums
----------------
https://github.com/puiterwijk/python-openid-cla/archive/v1.0.tar.gz :
  CHECKSUM(SHA256) this package     : a28678823009bf5ddca5d20a3f09bbbc033970e3a0a4af4b93b3e19cf686955c
  CHECKSUM(SHA256) upstream package : a28678823009bf5ddca5d20a3f09bbbc033970e3a0a4af4b93b3e19cf686955c


Generated by fedora-review 0.4.1 (b2e211f) last change: 2013-04-29
Buildroot used: fedora-rawhide-x86_64
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 969703
Comment 4 Patrick Uiterwijk 2013-06-01 20:31:41 EDT
New Package SCM Request
=======================
Package Name: python-openid-cla
Short Description: CLA extension for python-openid
Owners: puiterwijk
Branches: F18 F19 EL6
InitialCC:
Comment 5 Gwyn Ciesla 2013-06-03 06:30:10 EDT
Git done (by process-git-requests).
Comment 6 Fedora Update System 2013-06-03 21:25:30 EDT
python-openid-cla-1.0-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/python-openid-cla-1.0-1.fc18
Comment 7 Fedora Update System 2013-06-03 21:25:41 EDT
python-openid-cla-1.0-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/python-openid-cla-1.0-1.el6
Comment 8 Fedora Update System 2013-06-03 21:25:50 EDT
python-openid-cla-1.0-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/python-openid-cla-1.0-1.fc19
Comment 9 Fedora Update System 2013-06-04 20:46:04 EDT
python-openid-cla-1.0-1.el6 has been pushed to the Fedora EPEL 6 testing repository.
Comment 10 Fedora Update System 2013-06-14 23:12:40 EDT
python-openid-cla-1.0-1.fc19 has been pushed to the Fedora 19 stable repository.
Comment 11 Fedora Update System 2013-06-16 01:44:42 EDT
python-openid-cla-1.0-1.fc18 has been pushed to the Fedora 18 stable repository.
Comment 12 Fedora Update System 2013-06-23 17:33:15 EDT
python-openid-cla-1.0-1.el6 has been pushed to the Fedora EPEL 6 stable repository.

Note You need to log in before you can comment on or make changes to this bug.